# Class BarGraph

java.lang.Object
org.apache.jmeter.visualizers.BarGraph

public class BarGraph extends Object

## Constructor Summary

Constructors
Constructor
Description
`BarGraph(String label, boolean checked, Color backColor)`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackColor()`
`JCheckBox`
`getChkBox()`
`String`
`getLabel()`
`void`
`setBackColor(Color backColor)`
`void`
`setChkBox(JCheckBox chkBox)`
`void`
`setLabel(String label)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BarGraph

public BarGraph(String label, boolean checked, Color backColor)

Parameters:
  `label` - The label of this component
  `checked` - Flag whether the corresponding checkbox should be checked
  `backColor` - The color of the background

## Method Details

### getLabel

public String getLabel()

Returns:
  the label

### setLabel

public void setLabel(String label)

Parameters:
  `label` - the label to set

### getChkBox

public JCheckBox getChkBox()

Returns:
  the chkBox

### setChkBox

public void setChkBox(JCheckBox chkBox)

Parameters:
  `chkBox` - the chkBox to set

### getBackColor

public Color getBackColor()

Returns:
  the backColor

### setBackColor

public void setBackColor(Color backColor)

Parameters:
  `backColor` - the backColor to set